'use strict';

exports.__esModule = true;
exports.default = resize;

var _eventBus = require('../events/event-bus');

var _eventBus2 = _interopRequireDefault(_eventBus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resize() {
    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        _ref$onResize = _ref.onResize,
        onResize = _ref$onResize === undefined ? function () {
        return _eventBus2.default.emit('resize');
    } : _ref$onResize,
        _ref$callNow = _ref.callNow,
        callNow = _ref$callNow === undefined ? false : _ref$callNow,
        _ref$debouceDelay = _ref.debouceDelay,
        debouceDelay = _ref$debouceDelay === undefined ? 500 : _ref$debouceDelay;

    var timeoutId = null;

    function resizeHandler() {
        clearTimeout(timeoutId);
        timeoutId = window.setTimeout(function () {
            return onResize();
        }, debouceDelay);
    }

    function start() {
        window.addEventListener('resize', resizeHandler, false);
    }

    function stop() {
        window.removeEventListener('resize', resizeHandler);
    }

    start();

    if (callNow) {
        resizeHandler();
    }

    return { start: start, stop: stop };
}