'use strict';

exports.__esModule = true;
exports.default = scroll;

var _eventBus = require('../events/event-bus');

var _eventBus2 = _interopRequireDefault(_eventBus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function scroll() {
    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        _ref$onScroll = _ref.onScroll,
        onScroll = _ref$onScroll === undefined ? function (lastScrollY) {
        return _eventBus2.default.emit('scroll', lastScrollY);
    } : _ref$onScroll,
        _ref$onScrollEnd = _ref.onScrollEnd,
        onScrollEnd = _ref$onScrollEnd === undefined ? function (lastScrollY) {
        return _eventBus2.default.emit('scrollend', lastScrollY);
    } : _ref$onScrollEnd,
        _ref$callNow = _ref.callNow,
        callNow = _ref$callNow === undefined ? false : _ref$callNow,
        _ref$endTimeout = _ref.endTimeout,
        endTimeout = _ref$endTimeout === undefined ? 200 : _ref$endTimeout;

    var lastScrollY = 0;
    var ticking = false;
    var timeoutId = void 0;

    function update() {
        clearTimeout(timeoutId);
        timeoutId = window.setTimeout(function () {
            return onScrollEnd(lastScrollY);
        }, endTimeout);

        onScroll(lastScrollY);
        ticking = false;
    }

    function requestTick() {
        if (!ticking) {
            window.requestAnimationFrame(update);
            ticking = true;
        }
    }

    function scrollHandler() {
        // lastScrollY = window.scrollY;
        lastScrollY = window.pageYOffset || document.documentElement.scrollTop;
        requestTick();
    }

    function start() {
        window.addEventListener('scroll', scrollHandler, false);
    }

    function stop() {
        window.removeEventListener('scroll', scrollHandler);
    }

    start();

    if (callNow) {
        scrollHandler();
    }

    return { start: start, stop: stop };
}