'use strict';

exports.__esModule = true;
exports.default = jsonp;
function jsonp(url) {
    var timeout = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 10000;

    return new Promise(function (resolve, reject) {
        var script = document.createElement('script');
        var callback = 'jsonp_callback_' + Math.round(100000 * Math.random());
        var separator = url.indexOf('?') >= 0 ? '&' : '?';

        var timeoutId = window.setTimeout(function () {
            window[callback](null, 'jsonp error');
        }, timeout);

        window[callback] = function (data) {
            var err = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

            window.clearTimeout(timeoutId);
            delete window[callback];
            document.body.removeChild(script);
            if (err) {
                reject(err);
            } else {
                resolve(data);
            }
        };

        script.src = '' + url + separator + 'callback=' + callback;
        document.body.appendChild(script);
    });
}