module.exports = function debounce(handler, time = 0) {
    let timeoutId, ticking = false;

    function update(event) {
        handler(event);
        ticking = false;
        window.clearTimeout(timeoutId);
    }

    function requestTick(event) {
        if (!ticking) {
            if (time) {
                timeoutId = window.setTimeout(() => update(event), time);
            } else {
                window.requestAnimationFrame(() => update(event));
            }
            ticking = true;
        }
    }

    return requestTick;
};
