export default function iterator(array, loop = false) {
    let index = -1;

    function next() {
        index++;

        if (loop && index >= array.length - 1) {
            index = 0;
        }

        return array[index];
    }

    function prev() {
        index--;

        if (loop && index <= 0) {
            index = array.length - 1;
        }

        return array[index];
    }

    function current() {
        return array[index];
    }

    function first() {
        return array[0];
    }

    function last() {
        return array[array.length - 1];
    }

    return {
        array,
        current,
        next,
        prev,
        first,
        last
    };
}
