package com.stinkdigital.framework.utils.date {
	import com.adobe.utils.DateUtil;
	/**
	 * @author thomas
	 */
	public class DateUtils {
		/**
		 * parseServerDate
		 *
		 * @param dateString
		 *
		 * @return
		 */
		public static function parseServerDate(dateString:String):Date
		{
		    if ( dateString == null ) {
		        return null;
		    }

		    if ( dateString.indexOf("0000-00-00") != -1 ) {
		        return null;
		    }

		    dateString = dateString.split("-").join("/");

		    return new Date(Date.parse( dateString ));
		}


		/**
		 * formatDateString
		 *
		 * @param dateString
		 *
		 * @return
		 */
		public static function formatDateString(dateString:String):String
		{
			/**
			 * d
			 */
			var d:Date = parseServerDate( dateString );
			return DateUtil.getFullDayName( d ) +" "+ d.getDate()  +" "+ DateUtil.getFullMonthName( d ) +" "+ formatTimeString(d);
		}


		/**
		 * formatTimeString
		 *
		 * @param d
		 *
		 * @return
		 */
		public static function formatTimeString(d:Date):String
		{
			/**
			 * h
			 */
			var h:String = DateUtil.getShortHour( d ).toString();
			/**
			 * m
			 */
			var m:String = d.getMinutes().toString();
			/**
			 * amPm
			 */
			var amPm:String = DateUtil.getAMPM( d ).toLowerCase();

			m = m.length < 2 ? "0"+m : m;

			return h +":"+ m + amPm;
		}

		/**
		 * getYearsOld
		 *
		 * @param birthDate
		 *
		 * @return
		 */
		public static function getYearsOld(birthDate:Date):int
		{
			var now : Date = new Date();
			var bday : Date = birthDate;
			var yearsOld : int = now.getFullYear() - bday.getFullYear();
			var monthDiff : int = now.getMonth() - bday.getMonth();
			if (monthDiff == 0) {
				if (now.getDate() < bday.getDate()) {
					yearsOld -= 1;
				}
			} else if (monthDiff < 0) {
				yearsOld -= 1;
			}
			return yearsOld;
		}

		public static const MONTH_NAMES:Array =
		[
			"January",
			"February",
			"March",
			"April",
			"May",
			"June",
			"July",
			"August",
			"September",
			"October",
			"November",
			"December"
		];

		/**
		 * getMonthIndexFromName
		 *
		 * @param monthName
		 *
		 * @return
		 */
		public static function getMonthIndexFromName(monthName:String):int
		{
			/**
			 * i
			 */
			var i:int=0;
			while(i < MONTH_NAMES.length)
			{
				if(MONTH_NAMES[i] == monthName)
				{
					return i;
				}
				i++;
			}
			return -1;
		}
	}
}
