
		
		/**
		 * resize 
		 */
		function resize(target, areaWidth, areaHeight, autoCenter, fill) {
			var targetWidth = target.width;
			var targetHeight = target.height;

			var scale;

			if ( areaWidth > areaHeight ) {
				scale = areaWidth / targetWidth;
				var adjustHeight = fill ? targetHeight * scale < areaHeight : targetHeight * scale > areaHeight;
				if ( adjustHeight ) {
					scale = areaHeight / targetHeight;
				}
			} else {
				scale = areaHeight / targetHeight;
				var adjustWidth = fill ? targetWidth * scale < areaWidth : targetWidth * scale > areaWidth;
				if ( adjustWidth ) {
					scale = areaWidth / targetWidth;
				}
			}

			target.width = targetWidth * scale;
			target.height = targetHeight * scale;

			if (autoCenter) {
				target.x = (areaWidth - target.width) * 0.5;
				target.y = (areaHeight - target.height) * 0.5;
			}
		}
		
		
		/**
		 * flipHorizontal
		 */
		function flipHorizontal(displayObject){
		   var matrix = displayObject.transform.matrix;
		   matrix.a=-1;
		   matrix.tx=displayObject.width+displayObject.x;
		   displayObject.transform.matrix=matrix;
		}
		
		/**
		 * flipVertical
		 */
		function flipVertical(displayObject){
		   var matrix = displayObject.transform.matrix;
		   matrix.d=-1;
		   matrix.ty=displayObject.height+displayObject.y;
		   displayObject.transform.matrix=matrix;
		}
		
		/**
		 * rotateAroundPoint
		 */
		function rotateAroundPoint(ob, x, y, angleDegrees) {
			var m = ob.transform.matrix;
			m.tx -= x;
			m.ty -= y;
			m.rotate(angleDegrees * (Math.PI / 180));
			m.tx += x;
			m.ty += y;
			ob.transform.matrix = m;
		}
		
		/**
		 * positionCenterHorizontal 
		 */
		function positionCenterHorizontal(ob, areaWidth, fromX) {
			if(ob instanceof Array) {
				var l = ob.length;
				for (var i = 0; i < l; i++) {
					positionCenterHorizontal(ob[i], areaWidth, fromX)
				}
				return;
			}
			ob.x = fromX + (areaWidth - ob.width) * 0.5;
		}
		
		/**
		 * positionCenterVertical 
		 */
		function positionCenterVertical(ob, areaHeight, fromY) {
			if(ob instanceof Array) {
				var l = ob.length;
				for (var i = 0; i < l; i++) {
					positionCenterVertical(ob[i], areaHeight, fromY)
				}
				return;
			}
			ob.y = fromY + (areaHeight - ob.height) * 0.5;
		}
		
		/**
		 * positionCenter 
		 */
		function positionCenter(ob, areaWidth, areaHeight) {
			ob.x = (areaWidth - ob.width) * 0.5;
			ob.y = (areaHeight - ob.height) * 0.5;
		}
		
		
		/**
		 * positionChildrenCenterStage 
		 */
		function positionChildrenCenterStage(containerContainer) {
			var l = container.numChildren;
		    for (var i = 0; i < l; i++) {
				positionCenterStage(container.getChildAt(i));
			}
		}
		
		// spacing / distribution
		
		/**
		 * distributeEvenlyHorizontal 
		 */
		function distributeEvenlyHorizontal(arr, areaWidth) {
			var obj;
			var totalWidth = 0;
			var l = arr.length;
			for(var i = 0; i < l; i++){
				obj = arr[i];
				totalWidth += obj.width;
			}
			var availableSpace = areaWidth - totalWidth;
			var objectSpace = availableSpace / ( arr.length - 1 ); 
			var currentX = 0;
			
			for(i = 0; i < l; i++){
				obj = arr[i];
				obj.x = currentX;
				currentX += obj.width + objectSpace;
			}
		}
		
		/**
		 * distributeEvenlyVertical 
		 */
		function distributeEvenlyVertical(arr, areaHeight) {
			var obj;
			var arrHeight = 0;
			var l = arr.length;
			for(var i = 0; i < l; i++){
				obj = arr[i];
				arrHeight += obj.height;
			}
			var availableSpace = areaHeight - arrHeight;
			var objectSpace = availableSpace / ( arr.length - 1 );
			var currentY = 0;
			
			for(i = 0; i < l; i++){
				obj = arr[i];
				obj.y = currentY;
				currentY += obj.height + objectSpace;
			}
		}
		
		/**
		 * distributeHorizontal 
		 */
		function distributeHorizontal(arr, margin, fromX = 0) {
			var x = fromX;
			var obj;
			var l = arr.length;
			for(var i = 0; i < l; i++){
				obj = arr[i];
				obj.x = x;
				x += obj.width + margin;
			}
		}
		
		/**
		 * distributeVertical 
		 */
		function distributeVertical(arr, margin, fromY) {
			var y = fromY;
			var obj;
			
			var l = arr.length;
			for(var i = 0; i < l; i++){
				obj = arr[i];
				obj.y = y;
				y += obj.height + margin;
			}
		}

