export default class Timeout {
    constructor() {
        this.ids = [];
    }

    set(cb, time) {
        this.ids.push(window.setTimeout(cb, time));
    }

    clear(id) {
        if (id) {
            window.clearTimeout(id);
            this.ids.splice(this.ids.indexOf(id), 1);
        } else {
            while (this.ids.length) {
                window.clearTimeout(this.ids.pop());
            }
        }
    }
}
