'use strict';

function AnimationLoop(fps, callback, thisArg) {

  var time = 0;

  var interval = 1000 / fps;

  var isRunning = false;

  var update = function() {

    if (!isRunning) { return; }

    window.requestAnimationFrame(update);

    var now = Date.now();

    if (now - time < interval) { return; }

    time = now;

    if (callback) {
      callback.call(thisArg);
    }

  };

  var start = function() {
    isRunning = true;
    time = Date.now();
    update();
  };

  var stop = function() {
    isRunning = false;
  };

  return Object.freeze({
    start: start,
    stop: stop
  });
}

module.exports = AnimationLoop;


function fpsLoop(fps, callback) {

    var time = Date.now();

    var interval = 1000 / fps;

    var update = function() {

      var now = Date.now();

      if (now - time < interval) { return; }

      time = now;

      callback();
    };

    return update;
  }

var frameUpdate = fpsLoop(25, function() {
  //
});
