import $ from 'jquery';
import 'slick-carousel';
import eventBus from './eventBus';
import isSmallViewport from './isSmallViewport';

const opts = {
    arrows: false,
    autoplay: true,
    autoplaySpeed: 3000,
    cssEase: 'cubic-bezier(0.86, 0, 0.07, 1)',
    dots: false,
    dotsClass: 'Carousel-nav',
    lazyLoad: 'progressive',
    mobileFirst: true,
    pauseOnHover: true,
    slidesToScroll: 1,
    slidesToShow: 1,
    speed: 200
};

function initCarousel() {
    const carousels = Array.from(document.querySelectorAll('[data-carousel]'));

    if (!carousels.length) {
        return;
    }

    carousels.forEach((carousel) => {
        $(carousel).slick(opts);
    });
}

function initCarouselSm() {
    const els = Array.from(document.querySelectorAll('[data-carousel-sm]'));

    if (!els.length) {
        return;
    }

    function slick() {
        const isSmall = isSmallViewport();

        els.forEach((el) => {
            const isSlickified = el.classList.contains('slick-initialized');

            if (isSmall && !isSlickified) {
                $(el).slick(opts);
            } else if (!isSmall && isSlickified) {
                $(el).slick('unslick');
            }
        });
    }

    eventBus.on('resize', slick);

    slick();
}

export default function() {
    initCarousel();
    initCarouselSm();
}
