import $ from 'jquery';

function animateScroll(event, offset) {
    const a = event.target;
    const {pathname, hostname} = window.location;

    const samePage = hostname === a.hostname && pathname === a.pathname;
    const id = a.hash.slice(1);
    const target = document.getElementById(id) || document.querySelector(`[name=${id}]`);

    if (!samePage || !id.length || !target) {
        return;
    }

    event.preventDefault();

    const scrollTop = offset + target.getBoundingClientRect().top + document.body.scrollTop;

    $('html, body').animate({
        scrollTop
    }, 400);
}

export default function(offset) {
    const anchors = Array.from(document.querySelectorAll('[href*="#"]'));
    anchors.forEach((anchor) => {
        anchor.addEventListener('click', (event) => animateScroll(event, offset));
    });
}
