export default function walk(ob, fn) {
    const isArray = Array.isArray(ob);
    const arr = isArray ? ob : Object.keys(ob);
    for (let i = 0; i < arr.length; i++) {
        const item = arr[i];
        if (isArray) {
            fn(i, item);
        } else {
            fn(item, ob[item]);
        }
        if (typeof item === 'object') {
            walk(item, fn);
        } else if (typeof ob[item] === 'object') {
            walk(ob[item], fn);
        }
    }
}
// for (let i = 0; i < node.components.length; i++) {
//     console.log('==> WALK', node.components[i]);
//     walk(node.components[i], (key, value) => {
//         console.log('--', key, value);
//     });
// }
